Getting "certificate verify failed" error and cannot install gems

Jon Seidel's Avatar

Jon Seidel

01 Oct, 2017 07:44 PM

Hi, there...

In'm trying to install a gem:
    gem install kramdown
and I get the following error:
   Unable to download data from https://rubygems.org/ - SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (https://api.rubygems.org/specs.4.8.gz)

This is from (I believe) a newly-installed Sonicwall firewall appliance. I've tried whitelisting api.rubygems.org, but still doesn't solve the problem.

Hopefully you can provide some insight.

Thanks much...jon

  1. 1 Posted by Jon Seidel on 01 Oct, 2017 07:46 PM

    Jon Seidel's Avatar

    Same thing happens with:
      gem update --system

  2. 2 Posted by Jon Seidel on 02 Oct, 2017 04:22 AM

    Jon Seidel's Avatar

    OK; found the resolution here: https://gist.github.com/luislavena/f064211759ee0f806c88.
    Because rubygems upgraded from SHA-1.

    Thanks... nothing more needed here.

  3. David Radcliffe closed this discussion on 02 Oct, 2017 01:11 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac